Seedream · Flash · Edit
ผสานการทำงาน
bytedance/seedream/v5/flash/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seedream/v5/flash/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seedream/v5/flash/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bytedance/seedream/v5/flash/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
เรียกใช้โมเดล Seedream · Flash · Edit (bytedance/seedream/v5/flash/edit) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/bytedance/seedream/v5/flash/edit.md
POST https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.com/v1/quote/bytedance/seedream/v5/flash/edit ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
คำขอนี้: $0.027 27 เครดิต API เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
สร้างบน Doitong
ผลงานสาธารณะที่สร้างด้วย Seedream 5 Flash โดยชุมชน Doitong นำพรอมต์กลับมาใช้ได้ในคลิกเดียว
На фоне шумного стадиона, Марк Ройс, в яркой форме, виртуозно обводит соперников, демонстрируя невероятную технику и ловкость. Он мчится к трибунам, полные восторженных болельщиков, его лицо выражает уверенность и радость. Вытянув руку вперед, над его ладонью парит сверкающий кристалл, окруженный...
Art style: Cinematic Realistic. Maya standing in the near foreground; Mark standing further back in the frame. Two feet of marble floor visible between them. Maya is standing on marble floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...
A slightly overgrown wild field with tall, golden grass swaying gently in the breeze under a clear blue sky, its tufts catching the warm light. Scattered wildflowers pepper the field in hues of purple and white, adding pops of color. The sun, lowering in the west, streams through the wispy...
Cinematic shot, atelier Estet. A young girl in tears places a crumpled dress sketch on a dark wooden table. An elegant master tailor's hand wearing a stylish ring gracefully covers the sketch with a wave of glowing, luxurious silk fabric that falls in slow motion. Warm dramatic lighting,...
Art style: Cinematic Realistic. Горсть шелухи ~100г на весах. Крупный план, текстуры, кухонный фон, свет сверху, реалистично, горизонтальный формат, кинематографический стиль. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it...
Art style: Cinematic Realistic. Ян and Лия stop dancing and stand facing each other, holding both hands. The fire behind them calms down slightly. They are breathing heavily, smiling, their foreheads almost touching. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the...
Создай изображение девушки в полный рост: светлокожая фигура с мягкими и утонченными чертами лица, длинные темно-коричневые волосы, также собраны в сложные косы, украшенные бусинами и лентами в традиционном стиле. Она одета в древний кыргызский наряд: черный и золотой халат с изысканной вышивкой,...
Generation prompt: Яркая и радостная картинка в стиле студии Pixar. Главная героиня — женщина, похожая на ту, что на референсных фото, стройная , русые волосы , голубые глаза ( не косые ) празднует свой 42-й день рождения. Она одета в красивую модную одежду . Перед ней на столе стоит праздничный...
Art style: 3D Anthro. Close-up in the same hospital nursery: Mrs. Lime covers her mouth in disgust, looking down at a crying pomegranate baby ("0/100") in a glass crib. Mr. Pomegranate behind her, half turned away, cold expression. A nurse beside the crib holds a tiny white lace veil. Pixar-style...
Art style: Cinematic Realistic. पुणे के पास एक ग्रामीण घर की पुरानी पत्थर की छत, जहाँ 10 साल का लड़का मुंडेर पर खड़ा होकर ऊपर देख रहा है। पृष्ठभूमि में पश्चिमी घाट की पहाड़ियाँ और घने पेड़ हैं। आसमान गहरा नीला और मटमैला है, जिसमें भारी काले बादल उमड़ रहे हैं। वातावरण में उड़ती हुई धूल और पेड़ की...
make a long video with the following script The Greatest Story Ever Told: The Adi Parva Theme: Beginnings, Magic, and Family Scene 1: The Magical Forest (Setting: A peaceful forest with birds chirping. A group of young students are sitting around an old, wise storyteller named Rishi...
Chhatrapati Shivaji Maharaj standing tall on a rugged mountain fort like Raigad, overlooking vast Maratha land at sunrise, strong wind blowing his saffron flag (Bhagwa Dhwaj) behind him, wearing traditional royal armor with intricate details, sharp eyes full of vision and determination, thick...
Art style: Cinematic Realistic. Close-up of a thick, beautifully bound book opening on the table. A hand rests on the page. Warm light illuminating the paper. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it overrides any...
Короткое видео-лайфхак для кухни: как быстро почистить чеснок. Показать несколько зубчиков чеснока, положить их в стеклянную банку, закрыть крышку, энергично потрясти банку 10-15 секунд, потом открыть и высыпать уже очищенные зубчики без шелухи. Яркая чистая кухня, приятный и удовлетворяющий...
A cute, personified soap bubble character named Bombi, with big expressive eyes and a friendly smile, stands in front of a split background. On one side, a ridiculously expensive, ornate gold cosmetic bottle. On the other side, a simple, clean laboratory beaker with glowing ingredients. Bombi is...
A lone figure with an umbrella walks down a deserted city street at night, drenched in a recent downpour. The cobblestone street is covered in puddles, beautifully reflecting the warm, golden glow of a single vintage streetlight. The atmosphere is melancholic and cinematic, with a strong sense of...
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/bytedance/seedream/v5/flash/edit?wait=20
ใบเสนอราคา → $0.027
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seedream/v5/flash/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seedream/v5/flash/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bytedance/seedream/v5/flash/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ Seedream · Flash · Edit
แก้ไขหรือผสานภาพตามพรอมต์ข้อความและ `image_urls` หากส่งมาเกิน 10 ภาพ จะใช้เพียง 10 ภาพสุดท้าย `image_size` รองรับพรีเซ็ตหรือ auto_1K และ auto_2K โดยมีพิกเซลรวมระหว่าง 1024x1024 ถึง 2048x2048 `num_images` สร้างผลลัพธ์ 1 ถึง 6 รายการ และเอาต์พุตเป็น jpeg หรือ png
พารามิเตอร์
ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน
promptจำเป็น
image_sizeไม่บังคับ
num_imagesไม่บังคับ
num_outputs
output_formatไม่บังคับ
enable_safety_checkerไม่บังคับ
image_urlsจำเป็น
images
พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bytedance/seedream/v5/flash/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 27,
"usd": "0.027",
"charged": 27,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- images
- array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่สร้างขึ้น
รูปแบบอื่นของ Seedream 5 Flash
โมเดลเพิ่มเติม: แก้ไขภาพ
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bytedance/seedream/v5/flash/edit.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt



